Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Oracle Communication and Mobility Server Java API Reference E14335-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.sdp.parlayx.multimedia_messaging.notification
Class MessageNotificationClient

    java.lang.Object
      oracle.sdp.parlayx.multimedia_messaging.notification.MessageNotificationClient

    public class MessageNotificationClient

extends Object

Constructor Summary
`MessageNotificationClient()`

Method Summary
`oracle.webservices.transport.ClientTransport` | `getClientTransport()` returns the transport context
`String` | `getEndpoint()`
`boolean` | `getMaintainSession()`
`String` | `getPassword()`
`oracle.sdp.parlayx.multimedia_messaging.notification.MessageNotification` | `getPort()` used to access the JAX-RPC level APIs returns the interface of the port instance
`String` | `getUsername()`
`void` | `notifyMessageDeliveryReceipt(String correlator, org.csapi.schema.parlayx.multimedia_messaging.v2_4.DeliveryInformation deliveryStatus)`
`void` | `notifyMessageReception(String correlator, org.csapi.schema.parlayx.multimedia_messaging.v2_4.MessageReference message)` delegate all operations to the underlying implementation class.
`void` | `setEndpoint(String endpoint)`
`void` | `setMaintainSession(boolean maintainSession)`
`void` | `setPassword(String password)`
`void` | `setUsername(String username)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MessageNotificationClient

    public MessageNotificationClient()
                              throws Exception

Throws:
  `Exception`

Method Detail

### notifyMessageReception

    public void notifyMessageReception(String correlator,
                                       org.csapi.schema.parlayx.multimedia_messaging.v2_4.MessageReference message)
                                throws RemoteException

  delegate all operations to the underlying implementation class.

  Throws:
    `RemoteException`

### notifyMessageDeliveryReceipt

    public void notifyMessageDeliveryReceipt(String correlator,
                                             org.csapi.schema.parlayx.multimedia_messaging.v2_4.DeliveryInformation deliveryStatus)
                                      throws RemoteException

  Throws:
    `RemoteException`

### getPort

    public oracle.sdp.parlayx.multimedia_messaging.notification.MessageNotification getPort()

  used to access the JAX-RPC level APIs returns the interface of the port instance

### getEndpoint

    public String getEndpoint()

### setEndpoint

    public void setEndpoint(String endpoint)

### getPassword

    public String getPassword()

### setPassword

    public void setPassword(String password)

### getUsername

    public String getUsername()

### setUsername

    public void setUsername(String username)

### setMaintainSession

    public void setMaintainSession(boolean maintainSession)

### getMaintainSession

    public boolean getMaintainSession()

### getClientTransport

    public oracle.webservices.transport.ClientTransport getClientTransport()

  returns the transport context

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007-2009 Oracle Corporation. All Rights Reserved.